//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <filectrl.hpp>
#pragma hdrstop
#include <registry.hpp>

#include "Global2.h";
#pragma package(smart_init)
//---------------------------------------------------------------------------

AnsiString __fastcall PGPPublicRing()
{
   AnsiString name;
   TRegistry *reg = new TRegistry();
   try
   {
      if (reg->OpenKey(QuickSilverRegKey, false))
      {
         name = reg->ReadString(PGPPublicRegKey);
         reg->CloseKey();
      }
   }
   catch (...)
   {
   }
   delete reg;

   return name;
}
//---------------------------------------------------------------------------

AnsiString __fastcall PGPSecretRing()
{
   AnsiString name;
   TRegistry *reg = new TRegistry();
   try
   {
      if (reg->OpenKey(QuickSilverRegKey, false))
      {
         name = reg->ReadString(PGPSecretRegKey);
         reg->CloseKey();
      }
   }
   catch (...)
   {
   }
   delete reg;

   return name;
}
//---------------------------------------------------------------------------

AnsiString __fastcall PGPRemailerRing()
{
   AnsiString name = MixDir() + "pubring.asc";
   if (!FileExists(name))
      name = "";

   return name;
}
//---------------------------------------------------------------------------

AnsiString __fastcall PGPNymserverRing()
{
   AnsiString name = AppDir() + NymserverFile;
   if (!FileExists(name))
      name = "";

   return name;
}

//---------------------------------------------------------------------------
